Bug 376251 - iwl3945 won't connect to WPA2 network after F7->F8 upgrade
iwl3945 won't connect to WPA2 network after F7->F8 upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 13:15 EST by Matt McCutchen
Modified: 2008-01-26 21:52 EST (History)
2 users (show)

See Also:
Fixed In Version: svn3204
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-26 21:52:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output for the attempt to connect to the network (4.07 KB, text/plain)
2007-11-11 13:15 EST, Matt McCutchen
no flags Details
dmesg output after upgrade (3.07 KB, text/plain)
2007-12-03 17:20 EST, Matt McCutchen
no flags Details

  None (edit)
Description Matt McCutchen 2007-11-11 13:15:13 EST
Description of problem:
Using Fedora 7, I could connect my Dell Latitude D620's ipw3945 wireless device
(using the iwl3945 driver) to my college's WPA2 wireless network using
NetworkManager.  I have upgraded to Fedora 8 and I can no longer connect to the
network.

Version-Release number of selected component (if applicable):
wpa_supplicant-0.5.7-15.fc8
kernel-2.6.23.1-49.fc8
NetworkManager-0.7.0-0.5.svn3030.fc8

How reproducible:
Always, provided that I am close to the access point for good signal strength

Steps to Reproduce:
1. Click the NetworkManager applet and select the WPA2 network.
2. When the authentication dialog appears, enter the correct information: "WPA &
WPA2 Enterprise", "Tunneled TLS", "anonymous", "ThawtePremiumServerCA.cer",
"PAP", and my own username and password.  Click Connect.
3. If the authentication dialog reappears, enter the information again each time.
  
Actual results:
After several tries, the NetworkManager applet says "Disconnected".  The dmesg
output is attached.  Note the "wpa_supplicant[19988]: segfault at"... line.

Expected results:
I am connected to the network.

Additional info:
Please tell me if I should provide any!
Comment 1 Matt McCutchen 2007-11-11 13:15:13 EST
Created attachment 254761 [details]
dmesg output for the attempt to connect to the network
Comment 2 Dan Williams 2007-11-13 11:37:25 EST
NM bug; building updates today for all cert-related auth methods including TLS
and TTLS.
Comment 3 Matt McCutchen 2007-11-14 11:08:41 EST
I tried both sets of updated NetworkManager packages:
NetworkManager-0.7.0-0.7.svn3030.fc9 from 
http://koji.fedoraproject.org/koji/buildinfo?buildID=24226 and
NetworkManager-0.7.0-0.6.2.svn3083.fc8 from
http://koji.fedoraproject.org/koji/buildinfo?buildID=24276 .  With each set, the
the same problem occurred and the "wpa_supplicant[...]: segfault at..." message
appeared in dmesg.
Comment 4 Dan Williams 2007-12-03 12:10:18 EST
Please update to wpa_supplicant-0.5.7-16 or later; also the latest
NetworkManager packages from F8-updates will help here.  Make sure your
certificate is in DER or PEM format as well.  That should certainly fix the
wpa_supplicant segfaults.
Comment 5 Matt McCutchen 2007-12-03 17:18:31 EST
I have upgraded to wpa_supplicant-0.5.7-17.fc8 and
NetworkManager-0.7.0-0.6.6.svn3109.fc8 and am using a DER certificate. 
NetworkManager's attempt to the network still fails reproducibly at the
one-green-dot stage, but now instead of a segfault, the log shows
"disassociate(reason=3)" .

This might be the wireless network's fault; someone else at my college reported
a similar problem.  Still, I could connect with Fedora 7.  Please feel free to
mark this report NOTABUG or something if you don't think it can/should be
addressed by Fedora.
Comment 6 Matt McCutchen 2007-12-03 17:20:11 EST
Created attachment 276291 [details]
dmesg output after upgrade
Comment 7 Dan Williams 2007-12-03 17:37:36 EST
Could you add "-ddd" to the end of the Exec= line in
/usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.  Then, as
root, "killall -TERM wpa_supplicant", and then retry your connection.  Then, get
the output of /var/log/wpa_supplicant.log and mail it to me.  Thanks!
Comment 8 Matt McCutchen 2007-12-04 14:48:46 EST
I have followed this procedure (actually, I rebooted instead of "killall -TERM
wpa_supplicant") and mailed the log.  By the way, I am now using
kernel-2.6.23.8-63.fc8 .  Thanks for investigating!
Comment 9 Dan Williams 2007-12-04 15:38:51 EST
dragoran, sounds like your problem too from the looks of the log:

OpenSSL: tls_connection_handshake - Failed to read possible Application Data
error:00000000:lib(0):func(0):reason(0)
SSL: No data to be sent out
EAP-TTLS: TLS done, proceed to Phase 2
EAP-TTLS: Derived key - hexdump(len=64): [REMOVED]
EAP-TTLS: received 0 bytes encrypted data for Phase 2
EAP-TTLS: empty data in beginning of Phase 2 - use fake EAP-Request Identity
EAP-TTLS: Phase 2 EAP Request: type=1
Comment 10 drago01 2007-12-04 16:11:12 EST
(In reply to comment #9)
> dragoran, sounds like your problem too from the looks of the log:
> 
> OpenSSL: tls_connection_handshake - Failed to read possible Application Data
> error:00000000:lib(0):func(0):reason(0)
> SSL: No data to be sent out
> EAP-TTLS: TLS done, proceed to Phase 2
> EAP-TTLS: Derived key - hexdump(len=64): [REMOVED]
> EAP-TTLS: received 0 bytes encrypted data for Phase 2
> EAP-TTLS: empty data in beginning of Phase 2 - use fake EAP-Request Identity
> EAP-TTLS: Phase 2 EAP Request: type=1
> 
Indeed seems like the same that I get with dynamic wep + TTLS ... 
so it seems not to be related to a specific configuration.
any idea what could be causing it?

Comment 11 Matt McCutchen 2008-01-26 19:08:29 EST
I just returned to college after winter break and the problem has gone away.  I
am now using:

kernel-2.6.23.14-107.fc8
NetworkManager-0.7.0-0.6.7.svn3204.fc8
wpa_supplicant-0.5.7-21.fc8

Fedora team, tell me if you would like me to do some testing and figure out
which update fixed the problem.  Otherwise please close this bug appropriately.
Comment 12 Matt McCutchen 2008-01-26 19:15:29 EST
Oops, didn't mean to mark as NOTABUG.
Comment 13 Dan Williams 2008-01-26 21:52:10 EST
ok, closing.  thanks!

Note You need to log in before you can comment on or make changes to this bug.